using System;

internal sealed class Delegate176 : MulticastDelegate
{
	public extern Guid Invoke();

	public static Guid smethod_0(Delegate176 delegate176_1)
	{
		return delegate176_1();
	}

	public extern Delegate176(object object_0, IntPtr intptr_0);

	static Delegate176()
	{
		Class10.smethod_13(typeof(Delegate176).TypeHandle);
	}

	internal static Delegate176 delegate176_0;
}
